求大神讲解一个关于postgres_fdw外部表的报错。-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

求大神讲解一个关于postgres_fdw外部表的报错。

lirarr 2016-09-12 13:48:07 1999

dev=> select * from test1;
ERROR: password is required
DETAIL: Non-superuser cannot connect if the server does not request a password.
HINT: Target server's authentication method must be changed.

用postgres_fdw建立外部表,用postgres账户是可以select的,但是用我自己授权的一个账户去查的时候一直报错,我看了下往上的文档,说因为远程连接的话,PG要求是需要有密码验证的,设置成trust的话会报错。但是我把select * from test1操作的这台pg_hba.conf和远程的那个节点的pg_hba.conf都修改试了下。发现都没有。 一直报这个错误!求解你们外部表的时候都是用postgres账户吗?还是咋解决的。

关系型数据库 数据安全/隐私保护
分享到
取消 提交回答
全部回答(2)
  • 德哥
    2019-07-17 20:09:18

    你看看postgres_fdw的帮助文档,还有libpq的文档,postgres_fdw支持libpq的参数。

    0 0
  • lirarr
    2019-07-17 20:09:18

    都不知道咋搞了。我参考了下https://yq.aliyun.com/articles/246?do=login# 这篇博客,发现都没解决这个问题。。

    0 0
添加回答
+ 订阅

分享数据库前沿,解构实战干货,推动数据库技术变革

推荐文章
相似问题
推荐课程